Skip to main content
`Ctrl`+`K`

# PetscFEGetQuadrature

Returns the `PetscQuadrature` used to calculate inner products

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetQuadrature(PetscFE fem, PetscQuadrature *q)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- q - The `PetscQuadrature` object

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscQuadrature`, `PetscFECreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/ts/tutorials/ex53.c
src/ts/tutorials/ex18.c
src/snes/tutorials/ex23.c
src/snes/tutorials/ex62.c
src/snes/tutorials/ex64.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages